import 'package:zego_zpns/src/internal/zpns_settings.dart';
import 'package:uuid/uuid.dart';
import '../../../zego_zpns.dart';

class UUIDImpl implements UUID{
  late String uuidString;

  UUIDImpl({String? uuidString_}){
    if(uuidString_ == null){
      uuidString = const Uuid().v4();
    }else{
      uuidString = uuidString_;
    }
  }

  @override
  static UUIDImpl getUUID(){
    return UUIDImpl();
  }

  @override
  bool operator==(Object other){
    if(other is UUIDImpl){
      return uuidString == (other).uuidString?true:false;
    }else{
      return false;
    }
  }

  @override
  int get hashCode{
    return uuidString.hashCode;
  }

}